
Redmine - Defect #19161

500 Internal error:  sorting for column mail at Administration/User

2015-02-23 22:59 - Grischa Zengel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.0.2   

Resolution: Fixed Affected version: 3.0.0

Description

https://redmine/redmine/users?sort=mail will show an error.

Associated revisions

Revision 14140 - 2015-03-20 10:58 - Jean-Philippe Lang

Don't let users be sorted by email (#19161).

Revision 14149 - 2015-03-21 09:30 - Jean-Philippe Lang

Merged r14140 (#19161).

History

#1 - 2015-03-20 04:36 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 3.0.2

#2 - 2015-03-20 04:39 - Toshi MARUYAMA

Started GET "/users?sort=mail%2Clogin" for 192.168.11.10 at 2015-03-20 12:35:41 +0900

Processing by UsersController#index as HTML

  Parameters: {"sort"=>"mail,login"}

  Current user: admin (id=1)

SQLite3::SQLException: no such column: mail: SELECT  "users".* FROM "users" 

 WHERE "users"."type" IN ('User', 'AnonymousUser') AND (users.status <> 0)

 AND "users"."status" = ?  ORDER BY mail, login LIMIT 25 OFFSET 0

Completed 500 Internal Server Error in 4ms

ActiveRecord::StatementInvalid (SQLite3::SQLException: no such column: mail:

 SELECT  "users".* FROM "users" WHERE "users"."type" IN ('User', 'AnonymousUser')

 AND (users.status <> 0) AND "users"."status" = ?  ORDER BY mail, login LIMIT 25 OFFSET 0):

  app/controllers/users_controller.rb:51:in `index'

#3 - 2015-03-20 10:59 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Ability to sort users by email removed in r14140.

#4 - 2015-03-21 09:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed
